
// import Icon from '@ant-design/compatible';
import {
  MenuFoldOutlined, MenuUnfoldOutlined
} from '@ant-design/icons';
import { Affix, Anchor, Button, Image, Layout, Menu } from 'antd';
import React from 'react';
import { BrowserRouter, HashRouter, Link, Route, Switch } from 'react-router-dom';
import Playerduo from './pages/playerduo.js';
import playerduo_logo from "./pages/playerduo_logo.svg";



const { Header, Sider, Content } = Layout;


class Home extends React.Component {
  state = {
    collapsed: true,
  };

  toggle = () => {
    this.setState({
      collapsed: !this.state.collapsed,
    });
  };

  render() {
    console.log(window.location.pathname);
    return (

      <Layout style={{ background: "#e7e7e7", minHeight: '90vh' }} >
        <Sider trigger={null} collapsible collapsed={this.state.collapsed}>
          <div className="logo" />
          <Button type="primary" onClick={this.toggle} style={{ background: '#333333', width: "100%", colorRendering: "optimizeSpeed" }}>
            {React.createElement(this.state.collapsed ? MenuUnfoldOutlined : MenuFoldOutlined)}
          </Button>

          <Menu theme="dark" mode="inline" defaultSelectedKeys={[window.location.pathname]}>
            <Menu.Item key="/playerduo" title="playerduo" icon={<Image width={32} height={32} src={playerduo_logo}></Image>}>
              <Link to={{ pathname: "/playerduo" }}></Link>
            </Menu.Item>
          </Menu>

        </Sider>
        <Layout  >

 


          <Content
            style={{
              background: "#e7e7e7",
              minHeight: '80vh',
            }}
          >



            <Switch>
              <Route exact path="/playerduo" component={Playerduo} />
            </Switch>

          </Content>
        </Layout>
      </Layout>

    );
  }
}

export default Home;