import { Affix,    Card, Col, Row, Statistic, Layout, Sider} from 'antd';
 
 
import React from 'react';
import Trend from '../charts/Trend.js';
import Anchor from '../component/anchor.js';
import config from '../Config.js';





// Playerduo 陪玩者
class Playerduo extends React.Component {
    state = {
    }
    render() {

        return (

            <Layout>
                
                <Anchor>

                </Anchor>
 
                <StatisticBoard>

                </StatisticBoard>

                <Trend id="player-statement" datetype={false} trendurl={config.count_statement}></Trend>
                <Trend id="player-online" trendurl={config.trend_online}></Trend>

            </Layout>


            
        )
    }
}

class StatisticBoard extends React.Component {

    state = {
        player_count: 0,
        player_status: {
            ready: 0,
            busy: 0,
            stop: 0,
            none: 0,
        }
    }

    componentDidMount() {
        this.getPlayerCount();
        this.getPlayerStatus();
    }

    getPlayerStatus() {
        fetch(config.count_playerstatus).then((response) => {
            if (response.ok) {
                response.json().then((response) => {
                    if (response.code === 0) {
                        this.setState({ player_status: response.data.status })
                    }
                })
            }
        })
    }

    getPlayerCount() {
        fetch(config.count_player).then((response) => {
            if (response.ok) {
                response.json().then((response) => {
                    if (response.code === 0) {
                        this.setState({ player_count: response.data.count })
                    }
                })
            }
        })
    }

    render() {
        return (
            <Layout style={{   width: "100%" }}>
                <Row justify="center" gutter={[24, 16]} >
                    {SimpleCard("陪玩者总数", this.state.player_count, "人")}

                </Row>
                <Row justify="center" gutter={[24, 16]} >
                    {SimpleCard("陪玩者(ready)", this.state.player_status.ready, "人")}
                    {SimpleCard("陪玩者(busy)", this.state.player_status.busy, "人")}
                    {SimpleCard("陪玩者(stop)", this.state.player_status.stop, "人")}
                    {SimpleCard("陪玩者(none)", this.state.player_status.none, "人")}
                </Row>
            </Layout>
        )
    }
}

const SimpleCard = (title, value, suffix) => {
    return (
        <Col span={4}>
            <Card style={{ width: 150, height: 100 }}>
                <Statistic title={title} value={value} suffix={suffix}></Statistic>
            </Card>
        </Col>
    )
}


export default Playerduo;